package com.bonus.canteen.core.nutrition.common.dto;

import com.bonus.canteen.core.nutrition.common.utils.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("分页查询人员健康监测记录")
public class HealthMonitoringPageDTO extends PageDTO {
   @ApiModelProperty("关键字（姓名，编号，手机号）")
   private String keyword;
   @ApiModelProperty("人员id")
   private Long userId;
   @ApiModelProperty("健康信息录入来源 1-系统录入 2-身高体重秤")
   private Integer healthInfoSource;
   @ApiModelProperty("查询月份")
   private String queryDate;
   @ApiModelProperty("所属组织id 列表")
   private List<Long> orgIdList;

   public String getKeyword() {
      return this.keyword;
   }

   public Long getUserId() {
      return this.userId;
   }

   public Integer getHealthInfoSource() {
      return this.healthInfoSource;
   }

   public String getQueryDate() {
      return this.queryDate;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setHealthInfoSource(final Integer healthInfoSource) {
      this.healthInfoSource = healthInfoSource;
   }

   public void setQueryDate(final String queryDate) {
      this.queryDate = queryDate;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

}
